Getting Started with KendoReact

Updated on Mar 11, 2026

In this article, you'll learn the basics about working with KendoReact. First, you’ll complete the installation steps necessary to get KendoReact up and running. Next, you’ll see how to use multiple KendoReact components. And finally, you’ll find a few useful learning resources that will help you be successful with KendoReact.

Let’s get started.

ninja-iconNew to KendoReact? KendoReact is an enterprise-grade React UI library with 120+ free and premium components for building polished, performant apps.Start Free Trial

Installing Your First KendoReact Component

Prerequisites

  • React 19
  • NodeJS LTS (or a version >= 14). Use the node -v command to check your node versions.
  • A bash terminal of your choice, for example, the one available in the Visual Studio Code console.

1. Create a Vite Project using Kendo CLI

The Kendo CLI helps you generate projects with JavaScript or TypeScript. To generate a project with the Kendo CLI, you have to do the following:

  1. Install the @progress/kendo-cli package using the following command:
shell
npm i -g @progress/kendo-cli
  1. Use the following command to generate a new Vite project with Typescript:
shell
npx kendo react create vite MyKendoApp

The CLI also provides an option to define which Kendo Theme will be added to the generated project. To set a theme, add one of the following to the above commands:

  • --theme=default - Adds the Kendo Default Theme
  • --theme=bootstrap - Adds the Kendo Bootstrap Theme
  • --theme=material - Adds the Kendo Material Theme
  • --theme=fluent - Adds the Kendo Fluent Theme

The CLI allows you to specify the preferred styling. By default, the project will use CSS, but you can specify Sass if needed:

  • --styling=CSS - Use CSS styling (default)
  • --styling=Sass - Use Sass styling

The result of using the Kendo CLI will be a Vite project that has a KendoReact Grid component added to it. The Kendo CLI helps you test the KendoReact components fast and easy, but you can still use the Vite CLI, if preferred.

Below you will find information on how to add components to a Vite project, no matter how it is generated.

2. Using KendoReact Components

KendoReact is a library of 120+ UI components. In this section, you'll learn how to use one of these components, the React Calendar, in only two steps.

The KendoReact CLI tool has already installed all KendoReact components and their dependencies. So the next step to use any of these components is importing them. KendoReact is distributed as multiple npm packages scoped to @progress. For example, the Calendar component is part of the @progress/kendo-react-dateinputs package.

  1. Install the dependencies for KendoReact Calendar, Grid, DropDownList and Window:
sh
npm i @progress/kendo-react-dateinputs @progress/kendo-react-grid @progress/kendo-react-dropdowns @progress/kendo-react-dialogs
  1. Import the Calendar into src/App.js.

    jsx
    import { Calendar } from '@progress/kendo-react-dateinputs';
  2. Then, add the Calendar component to your markup. Now you have a fully functioning calendar in two lines of code!

    jsx
    return (
        <div className="App">
            <h1>Hello KendoReact!</h1>
            <Calendar />
        </div>
    );
  3. Remove the default styling that is applied to the project by removing the index.css import in main.jsx.

  4. To style the Calendar component as well as the other KendoReact components, install the Default theme, which is one of the four beautiful themes for KendoReact.

sh
npm i @progress/kendo-theme-default
  1. Import the KendoReact Default theme in your main.jsx.
jsx
import '@progress/kendo-theme-default/dist/all.css';

After completing the above steps, run the project using npm run dev and navigate to the URL displayed in the console. You can view all the available commands in the scripts property in package.json.

Using any other KendoReact component is as straightforward as using the Calendar—you import the component and use the component's markup in your apps.

As a final step to getting KendoReact up and running, let's look at how to handle licensing.

3. Activating Your License Key for Premium Components

KendoReact is an enterprise-grade UI library with 120+ free and premium components. Over 50 components, such as the Calendar, are free to use without a license, even in production. However, if you want to unlock the premium components and features of KendoReact, you need to install a license key file.

Important: Both trial and commercial usage of premium KendoReact components require a license key file to be installed in your project. This includes:

  • Trial usage: Requires an active trial license key file to evaluate premium features
  • Commercial usage: Requires a valid commercial license key file for production use

Using any of the KendoReact premium UI components without a proper license key file will result in licensing warnings and watermarks appearing on the components.

Getting Your License Key

  1. Start a free trial or purchase a commercial license
  2. Download your license key from your Telerik account
  3. Follow the installation instructions on the Set Up Your KendoReact License Key page

Since KendoReact version 5.16.0 (25 July 2023), a missing license causes a watermark to appear over selected components. For more information, see the Invalid License section.

Utilizing the KendoReact AI Tools

KendoReact provides AI-powered development assistance through a unified MCP (Model Context Protocol) server that delivers intelligent, context-aware help directly in your IDE. The MCP server automatically recognizes your Telerik license and activates the available tools:

  • Agentic UI Generator—Build complete, production-ready UIs using natural language prompts. Describe your desired page, layout, or component configuration, and the AI-powered generator will create responsive, styled React code with proper KendoReact component integration.

This unified MCP server integrates seamlessly with your IDE to provide contextual help and automate repetitive tasks, making it easier to explore the library and build feature-rich applications faster. Give the AI tools a try as you follow this guide or build your next project!

Integrating Multiple KendoReact Components

KendoReact is a rich suite of modular React components. Next, you’ll use three of these components: the React Grid, React Window, and React DropDownList to build a small demo application.

Before continuing, first remove the Calendar from the page so that you have a blank app to work with.

1. Adding the KendoReact Data Grid

The KendoReact Data Grid provides 100+ ready-to-use features, covering everything from paging, sorting, filtering, editing, and grouping, to row and column virtualization and Excel/PDF export. This React Data Grid is free to use, but if you want to tap into its premium features, such as React server components (RSC) mode, custom cell rendering, advanced filtering, data export, and others, you need a commercial license or an active trial license.

In this section, you’ll try out several Grid features, but let’s start by importing the component and adding some sample data.

  1. Import the components into your src/App.js file.

    jsx
    import { Grid, GridColumn } from '@progress/kendo-react-grid';
  2. To add some sample data, create a src/products.json file, and then copy-paste this content from GitHub into the new file.

  3. Import the sample data into src/App.js.

    jsx
    import products from './products.json';
  4. Create a Grid and bind it to your list of products.

    jsx
    <Grid data={products}>
        <GridColumn field="ProductName" />
        <GridColumn field="UnitPrice" />
        <GridColumn field="UnitsInStock" />
        <GridColumn field="Discontinued" />
    </Grid>

When your browser refreshes, you’ll see your first basic KendoReact Data Grid. Next, you will add the DropDownList component, and then you will use it to enable Grid filtering and several advanced features.

2. Adding the KendoReact DropDownList

Adding the KendoReact DropDownList allows you to display all available categories of products. This is a free React DropDownList component, and you need a license to use its premium filtering and virtualization functionality.

To use the component, you must import it and bind it to data.

  1. Import the DropDownList into your src/App.js file.

    jsx
    import { DropDownList } from '@progress/kendo-react-dropdowns';
  2. Create a new src/categories.json file and paste this content from GitHub. This will be the sample data for the DropDownList.

  3. Import the newly added data.

    jsx
    import categories from './categories.json';
  4. Bind the DropDownList to a list of categories from the sample data.

    jsx
    <p>
        <DropDownList data={categories} dataItemKey="CategoryID" textField="CategoryName" />
    </p>

The data property of the DropDownList points to an array of objects or primitive values. In this case, you use an array of objects and therefore specify both the dataItemKey and textField properties.

To display a hint for the users when no item is selected, use the defaultItem property. The default item must have a field that matches the textField name.

The following code represents a sample DropDownList implementation that also renders the ID of the selected category next to the DropDownList. To achieve this, define a category field in the application state and implement an onChange handler.

To see the DropDownList in use, copy the sample code below and add it to your src/App.js file.

jsx
import React, { Component } from 'react';
import './App.scss';
import categories from './categories.json';
import { DropDownList } from '@progress/kendo-react-dropdowns';

function App() {
    const [category, setCategory] = React.useState(null);

    const handleDropDownChange = React.useCallback((event) => {
        setCategory(event.target.value.CategoryID);
    }, []);

    return (
        <div className="App">
            <h1>Hello KendoReact!</h1>
            <p>
                <DropDownList
                    data={categories}
                    dataItemKey="CategoryID"
                    textField="CategoryName"
                    defaultItem={{ CategoryID: null, CategoryName: 'Product categories' }}
                    onChange={handleDropDownChange}
                />
                &nbsp; Selected category ID: <strong>{category}</strong>
            </p>
        </div>
    );
}

export default App;

3. Configuring an Advanced React Grid with DropDownList Filtering

To make this sample Grid resemble a real-world scenario, let's use a portion of the Grid APIs and add the features listed below. Here you will also learn how to enable the local data operations of the Grid and configure the already created DropDownList to filter the bound data.

Enabling Grid Features

When you familiarize yourself with the Grid API, copy-paste the updated sample App.js code in your app and see the features listed below in use.

  • To activate scrolling, add a height style to the Grid (enabled by default).

    jsx
    <Grid style={{ height: '400px' }}></Grid>
  • Add user-friendly column titles.

    jsx
    <GridColumn field="ProductName" title="Product Name" />
  • Format the numbers in the Price column.

    jsx
    <GridColumn field="UnitPrice" title="Price" format="{0:c}" />
  • (Premium) Enable paging and sorting. These features require you to enable data operations.

    jsx
    <Grid pageable={true} sortable={true}></Grid>
  • (Premium) Display the boolean values in the Discontinued column as checkboxes. For this purpose, you will customize the table cell rendering through the cells property and a custom checkboxColumn component.

    jsx
    <Grid>
        <GridColumn field="Discontinued" cells={{ data: CheckboxColumn }} />
    </Grid>
    • To define the custom checkboxColumn component:

      jsx
      const CheckboxColumn = (props: GridCustomCellProps) => {
          return (
              <td {...props.tdProps} colSpan={1}>
                  <Checkbox type="checkbox" checked={props.dataItem[props.field]} disabled="disabled" />
              </td>
          );
      };
Enabling Local Data Operations

This section looks at some of the premium Data Grid features. To be able to complete this part of the tutorial, you need a commercial license or an active trial license.

Features like sorting, filtering, and paging require you to configure data operations. As the Grid in this tutorial is bound to local (client-side) data, enable local data operations by following these steps:

  1. Enable each data operation separately in the Grid declaration (pageable={true} and sortable={true}).

  2. Configure the data operation settings and the initial state of the Grid data. For example:

  3. Define an onDataStateChange handler. Its purpose is to update dataState after each user interaction. In turn, this will cause the Grid to refresh and display the expected data.

  4. To display the correct Grid data, you bind the Grid to the output of a function, rather than the products array directly. For this purpose, import the process function from the kendo-data-query package.

    jsx
    import { process } from '@progress/kendo-data-query';
  5. Finally, add Grid filtering through the DropDownList. To do that, use the existing handleDropDownChange function and add a filter descriptor to gridDataState. As the number of data items and pages will decrease, reset the page index (skip) to zero.

Sample Code with all React Grid Features Enabled

To see all these features in action, copy the updated App.js code below. This code includes the implementation for the features described above.

jsx
import React from 'react';
import './App.scss';
import categories from './categories.json';
import products from './products.json';
import { process } from '@progress/kendo-data-query';
import { Grid, GridColumn, GridCustomCellProps } from '@progress/kendo-react-grid';
import { DropDownList } from '@progress/kendo-react-dropdowns';
import { Checkbox } from '@progress/kendo-react-inputs';

const CheckboxColumn = (props: GridCustomCellProps) => {
    return (
        <td {...props.tdProps} colSpan={1}>
            <Checkbox type="checkbox" checked={props.dataItem[props.field]} disabled="disabled" />
        </td>
    );
};

function App() {
    const [categody, setCategory] = React.useState(null);
    const [dataState, setDateState] = React.useState({
        sort: [{ field: 'ProductName', dir: 'asc' }],
        skip: 0,
        take: 10
    });

    const handleDropDownChange = React.useCallback(
        (event) => {
            let newDataState = { ...dataState };
            if (event.target.value.CategoryID !== null) {
                newDataState.filter = {
                    logic: 'and',
                    filters: [
                        {
                            field: 'CategoryID',
                            operator: 'eq',
                            value: event.target.value.CategoryID
                        }
                    ]
                };
                newDataState.skip = 0;
            } else {
                newDataState.filter = [];
                newDataState.skip = 0;
            }

            setCategory(event.target.value.CategoryID);
            setDateState(newDataState);
        },
        [dataState]
    );

    const handleGridDataStateChange = (event) => {
        setDateState(event.dataState);
    };

    return (
        <div className="App">
            <h1>Hello KendoReact!</h1>
            <p>
                <DropDownList
                    data={categories}
                    dataItemKey="CategoryID"
                    textField="CategoryName"
                    defaultItem={{ CategoryID: null, CategoryName: 'Product categories' }}
                    onChange={handleDropDownChange}
                />
                &nbsp; Selected category ID: <strong>{categody}</strong>
            </p>

            <Grid
                data={process(products, dataState)}
                pageable={true}
                sortable={true}
                {...dataState}
                onDataStateChange={handleGridDataStateChange}
                style={{ height: '400px' }}
            >
                <GridColumn field="ProductName" title="Product Name" />
                <GridColumn field="UnitPrice" title="Price" format="{0:c}" />
                <GridColumn field="UnitsInStock" title="Units in Stock" />
                <GridColumn field="Discontinued" cells={{ data: CheckboxColumn }} />
            </Grid>
        </div>
    );
}

export default App;

In this section, you added a robust Data Grid to your application—enhanced with paging, filtering, and sorting—and you explored the KendoReact APIs.

Feel free to explore the KendoReact Grid documentation pages to get a sense of just how many things the Grid can do. Next, let's add a KendoReact DropDownList to the React app.

4. Adding the KendoReact Window

The products array contains some fields that are not displayed in the Grid that you added previously. To display these additional product details when users select a Grid row, you’ll use the free KendoReact Window. Responding to user actions and displaying information from the Grid in other React components is a very common interaction between KendoReact components.

To use the free KendoReact Window in the sample application:

  1. Import the Window component.

    jsx
    import { Window } from '@progress/kendo-react-dialogs';
  2. Define new windowVisible and gridClickedRow constants in your application state.

    jsx
    const [windowVisible, setWindowVisible] = React.useState(false);
    const [gridClickedRow, setGridClickedRow] = React.useState({});
  3. Add a row click handler to the Grid.

    jsx
    <Grid onRowClick={handleGridRowClick}></Grid>
  4. Add the handleGridRowClick function that will set the windowVisible flag to true and save the Grid data item in the application state. You’ll use the data item values to render the Window's content.

    jsx
    handleGridRowClick = (event) => {
        setWindowVisible(true);
        setGridClickedRow(event.dataItem);
    };
  5. Immediately after the </Grid>, add the Window declaration. Note that the Window will be rendered only if the windowVisible flag value is true.

    jsx
    {
        windowVisible && (
            <Window title="Product Details" onClose={closeWindow} height={250}>
                <dl style={{ textAlign: 'left' }}>
                    <dt>Product Name</dt>
                    <dd>{gridClickedRow.ProductName}</dd>
                    <dt>Product ID</dt>
                    <dd>{gridClickedRow.ProductID}</dd>
                    <dt>Quantity per Unit</dt>
                    <dd>{gridClickedRow.QuantityPerUnit}</dd>
                </dl>
            </Window>
        );
    }
  6. Finally, add the following Window close handler, which will set the windowVisible flag to false when the user closes the Window.

    jsx
    const closeWindow = React.useCallback((event) => {
        setWindowVisible(false);
    }, []);

With this code in place, try clicking a row in the grid. A custom window with additional product information appears.

With KendoReact, you get a powerful collection of React components that are easy to add to your app and solve hard problems—in this case, building a customizable cross-browser-friendly Window. That’s the power of KendoReact!

To learn more about the Window component and what it can do, see the KendoReact Window documentation.

5. Getting the Sample App Source Code

Your KendoReact Getting Started application is complete! You can download and run the complete sample application from the kendo-react-getting-started GitHub repository. Alternatively, run, fork and experiment with the application directly in StackBlitz.

This article shows just a glimpse of what you can create with KendoReact. We hope we’ve managed to inspire you how to become a more productive React developer and build complex UI in no time with our professional UI library.

Resources

1. AI Tools

KendoReact provides AI-powered development assistance through a unified MCP (Model Context Protocol) server that integrates directly with your IDE. The server delivers intelligent, context-aware assistance and automatically activates the available capabilities based on your Telerik license:

  • Agentic UI Generator (available with any active subscription)—Transforms natural language descriptions into complete, production-ready React UIs. Describe your desired page layout, component configuration, or styling requirements, and the generator can orchestrate component, layout, styling, icon, and accessibility guidance in one workflow.

This unified MCP server works seamlessly with popular IDEs like Visual Studio Code and Cursor, providing contextual assistance throughout your development workflow based on your license tier.

2. Building Blocks and Page Templates

KendoReact comes with four UI Kits for Figma: Material, Bootstrap, Fluent, and Kendo UI Default. They provide the designers of your application with building blocks that match the UI components available in the KendoReact suite. Having matching building blocks guarantees the smooth implementation of the design.

5. VS Code Extension

To help you create projects even faster, we introduced the Kendo UI Productivity Tools extension for Visual Studio Code. This extension comes with a handy template wizard that facilitates the creation of new projects and with a rich code snippet library that allows you to add KendoReact components to your project.

5. TypeScript Support

All KendoReact components are natively written with TypeScript and provide all of the benefits of TypeScript, like typings, IntelliSense, and many others. The complete getting started example is also available in TypeScript.

New to Kendo UI for AngularStart a free 30-day trial

Getting Started with Kendo UI for Angular in an ASP.NET Core Application

Updated on Jan 20, 2026

This article provides a step-by-step guide that uses the Microsoft Angular Project Template to create a new Angular application with ASP.NET Core and integrate the Kendo UI for Angular component library.

Want to jump straight to the runnable application? Check out the Kendo UI for Angular Data Grid and Upload Integration with ASP.NET Core application and follow the steps in the README.

Prerequisites

Before proceeding, ensure that you have the following installed:

The mentioned versions are the latest as of July 31, 2024, at the time of writing this article.

Create a New Angular Application with ASP.NET Core

To create a new Angular application with ASP.NET Core:

  1. Open a terminal or command prompt and run the following command to create a new Angular application with ASP.NET Core:

    bash
    dotnet new angular -o KendoAngular-ASPNETCore-App

    This command creates a new Angular application with ASP.NET Core in a folder named KendoAngular-ASPNETCore-App. The new angular command is part of the Microsoft Template Arguments.

  2. Navigate to the newly created project folder:

    bash
    cd KendoAngular-ASPNETCore-App
  3. Build the application to ensure that everything is working correctly:

    bash
    dotnet build
  4. Run the application:

    bash
    dotnet run

    In the terminal, you will see a message similar to the following:

    bash
    Now listening on: https://localhost:5001
    Now listening on: http://localhost:5000

    The port number will be different on different machines.

    Open a browser and navigate to the displayed URL to see the application running. The Angular application will need some time to build and load the first time you run it.

Update ASP.NET Core and Angular Versions

The default Angular and ASP.NET Core versions in the Microsoft Angular Project Template might not be the latest. To update the Angular version, follow these steps:

  1. Navigate to the ClientApp folder in the project.
bash
  cd ClientApp
  1. Update the Angular CLI by following Angular's update guide.

  2. To update the ASP.NET Core versions, make sure that you have the .NET Core 8 SDK installed and follow the official ASP.NET Core migration guide.

Now that you have updated the Angular and ASP.NET Core versions, you can proceed with integrating Kendo UI for Angular.

Integrate Kendo UI for Angular

To demonstrate how to integrate Kendo UI for Angular with the ASP.NET Core application, this guide will show you how to add a Grid component:

  1. Navigate to the ClientApp folder in the project.

    bash
    cd ClientApp
  2. Install the Kendo UI for Angular Data Grid by running the following command:

    bash
    ng add @progress/kendo-angular-grid
  3. Add the Kendo UI for Angular Data Grid module to the app.module.ts file:

    ts
    import { GridModule } from '@progress/kendo-angular-grid';
    
    @NgModule({
        imports: [
            GridModule
        ]
    })
  4. Add a Kendo UI for Angular Grid component to the home.component.html file:

    html
    <kendo-grid [data]="gridData">
        <kendo-grid-column field="productID" title="Product ID">
        </kendo-grid-column>
        <kendo-grid-column field="productName" title="Product Name">
        </kendo-grid-column>
        <kendo-grid-column field="unitPrice" title="Unit Price">
        </kendo-grid-column>
    </kendo-grid>
  5. Create a Product class in the Models folder:

    cs
    namespace Kendo_ASP.NET_Core_Angular.Models
    {
        public class Product
        {
            public int ProductID { get; set; }
            public string ProductName { get; set; }
            public decimal UnitPrice { get; set; }
        }
    }

    If the Models folder does not exist, create it in the root of the project.

  6. Create an ASP.NET Core controller that retrieves the data from a database. For simplicity, this example uses static data in the backend.

    cs
    using Microsoft.AspNetCore.Mvc;
    using Kendo_ASP.NET_Core_Angular.Models;
    
    namespace Kendo_ASP.NET_Core_Angular.Controllers
    {
        [ApiController]
        [Route("products")]
        public class ProductController : ControllerBase
        {
            private static List<Product> Products = new List<Product>
            {
                new Product
                {
                    ProductID = 1,
                    ProductName = "Chai",
                    UnitPrice = 18,
                },
                new Product
                {
                    ProductID = 2,
                    ProductName = "Chang",
                    UnitPrice = 19,
                },
                new Product
                {
                    ProductID = 3,
                    ProductName = "Aniseed Syrup",
                    UnitPrice = 10,
                }
            };
    
            [HttpGet]
            public IEnumerable<Product> Get()
            {
            return Products;
            }
        }
    }
  7. Update your proxy.conf.js in the ClientApp folder to include the new route:

    ts
    const PROXY_CONFIG = [
        {
            context: [
                "/weatherforecast", // Added by default
                "/products" // Your newly created API route
            ],
        }
    ];
    
    module.exports = PROXY_CONFIG;
  8. Create an Angular service to fetch the data from the ASP.NET Core controller, and then update the product.service.ts file:

    bash
    ng generate service services/product
    ts
    import { Inject, Injectable } from '@angular/core';
    import { HttpClient } from '@angular/common/http';
    import { Observable } from 'rxjs';
    
    
    @Injectable({
        providedIn: 'root'
    })
    export class ProductService {
        private baseUrl = '';
    
        constructor(private http: HttpClient, @Inject('BASE_URL') baseUrl: string) {
            this.baseUrl = baseUrl; // Retrieve the API URL from the app module.
        }
    
       public getProducts(): Observable<any[]> {
            return this.http.get<any[]>(this.baseUrl + 'products');
        }
    }
  9. Update the home.component.ts file to fetch the data from the service:

    ts
    import { Component } from '@angular/core';
    import { ProductService } from '../services/product.service';
    
    @Component({
        selector: 'app-home',
        templateUrl: './home.component.html',
    })
    export class HomeComponent {
    
    public gridData: unknown[] = [];
    
    constructor(private productService: ProductService) { // Inject the service.
        this.productService.getProducts().subscribe({
            next: (result) => {
            this.gridData = result;
            },
            error: (error) => {
            console.error(error);
            }
          });
        }
      }
  10. Run the application:

    bash
    dotnet run

The application will now display the Kendo UI for Angular Data Grid with the data fetched from the ASP.NET Core controller.

Perform Data Operations and Handle File Uploads

The next task is to manage the data state and perform CRUD operations using the Kendo UI for Angular Grid. Additionally, you will explore how to handle file uploads with the Kendo UI for Angular Upload component in conjunction with ASP.NET Core.

Handling Grid Data Operations

There are few ways to handle data operations with the Kendo UI for Angular Grid. This article explores the two most common of them:

  1. Client-side Operations: You can use the process method to handle data operations like sorting, filtering, and paging on the client. For more information, refer to the Data Operations article.

  2. Server-side Operations: The server-side operations can be handled by using the ToDataSourceResult helper method from the Telerik ASP.NET MVC UI library. This is an optional helper that requires a valid license for Telerik UI for ASP.NET MVC or DevCraft. If you prefer, you can implement your own server-side data processing logic instead.

    To use the ToDataSourceResult method, you need to install the Telerik ASP.NET MVC UI NuGet package source by following the Installing Telerik UI for ASP.NET MVC Using NuGet Packages or use the .NET CLI installation guide, which this article follows.

    Run the following command to install the necessary packages in the ASP.NET Core project:

    bash
    dotnet add package Kendo.Mvc
    dotnet add package Kendo.Mvc.Extensions

This method will require you to convert the Grid State to toDataSourceRequestString or translateDataSourceResultGroups (if the data is being grouped) and send it to the server where the ToDataSourceResult method will handle it for you. For more details how to use the method refer to Sample Integration article.

Handling Data Grid CRUD Operations

CRUD operations can be handled by using the add, edit, save ,cancel and remove events. For more information, refer to the Editing Basics article. On the server side, you need to handle the Post, Put, Get, and Delete requests to handle the CRUD operations.

The following application demonstrates how to handle data and CRUD operations with the Kendo UI for Angular Data Grid and ASP.NET Core:

Kendo UI for Angular Data Grid and Upload Integration with ASP.NET Core

The application uses static data, but in a real-world scenario, you need to replace the static data with data from a database. Entity Framework Core can be used to handle the database operations. For more information, refer to the Entity Framework Core article.

Handling Files Using Upload Component

On the client side, add the saveUrl and removeUrl properties to the Upload component to handle the file upload and remove operations. The saveUrl and removeUrl properties should point to the server-side methods that handle the file upload and remove operations.

On the server side, handle the uploaded files by using the IFormFile interface. For more information, refer to the Upload files in ASP.NET Core article.

The Kendo UI for Angular Grid and Upload Integration with ASP.NET Core application demonstrates how to handle file and chunk uploads with the Kendo UI for Angular Upload component and ASP.NET Core.